Loading...
Searching...
No Matches
Opm::EclThconrLawParams< ScalarT > Class Template Reference

The default implementation of a parameter object for the thermal conduction law based on the THCONR keyword from ECL. More...

`#include <EclThconrLawParams.hpp>`

Inheritance diagram for Opm::EclThconrLawParams< ScalarT >:

## Public Types

using | Scalar = ScalarT

## Public Member Functions

| EclThconrLawParams (const EclThconrLawParams &)=default
void | setReferenceTotalThermalConductivity (Scalar value)
| Set the total thermal conductivity [J/m^2 / (K/m)] of at Sg = 0.
Scalar | referenceTotalThermalConductivity () const
| The total thermal conductivity [J/m^2 / (K/m)] of at Sg = 0.
void | setDTotalThermalConductivity_dSg (Scalar value)
| Set the gas saturation dependence of thermal conductivity [-].
Scalar | dTotalThermalConductivity_dSg () const
| The gas saturation dependence of thermal conductivity [-].
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class ScalarT>
class Opm::EclThconrLawParams< ScalarT >

The default implementation of a parameter object for the thermal conduction law based on the THCONR keyword from ECL.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclThconrLawParams.hpp